#ifndef EDITLIMIT_H
#define EDITLIMIT_H
#include "ftpaccess.h"
#include <qlineedit.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qspinbox.h>	

#include <kdialogbase.h>

class EditLimitBase;

class EditLimit : public KDialogBase {
	Q_OBJECT
public:
	EditLimit(ftplimit *limit=0, ftpclass *fcls=0, QWidget *parent=0, char * wname=0);
	~EditLimit();
public slots:
	void slotOk();
signals:
	void EditLimitOk(ftplimit *, ftpclass *);
private:
	ftplimit *	current;
	ftpclass *	fclass;
	EditLimitBase * mWidget;
};
#endif
